RDKit: RDKit::ScaffoldNetwork Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Classes | Enumerations | Functions
RDKit::ScaffoldNetwork Namespace Reference

## Namespaces
namespace | detail

## Classes
struct | NetworkEdge
struct | ScaffoldNetwork
struct | ScaffoldNetworkParams

## Enumerations
enum class | EdgeType { Fragment = 1 , Generic = 2 , GenericBond = 3 , RemoveAttachment = 4 , Initialize = 5 }

## Functions
template<typename T>
void | updateScaffoldNetwork (const T &mols, ScaffoldNetwork &network, const ScaffoldNetworkParams &params)
| update an existing ScaffoldNetwork using a set of molecules
template<typename T>
ScaffoldNetwork | createScaffoldNetwork (const T &mols, const ScaffoldNetworkParams &params)
| create a new ScaffoldNetwork for a set of molecules
std::ostream & | operator<< (std::ostream &ostr, const RDKit::ScaffoldNetwork::EdgeType &e)
| allows nodes to output nicely as strings
std::ostream & | operator<< (std::ostream &ostr, const RDKit::ScaffoldNetwork::NetworkEdge &e)
| allows edges to output nicely as strings
RDKIT_SCAFFOLDNETWORK_EXPORT ScaffoldNetworkParams | getBRICSNetworkParams ()

## Enumeration Type Documentation

## ◆ EdgeType

enum class RDKit::ScaffoldNetwork::EdgeType
| strong

Enumerator
Fragment | molecule -> fragment
Generic | molecule -> generic molecule (all atoms are dummies)
GenericBond | molecule -> generic bond molecule (all bonds single)
RemoveAttachment | molecule -> molecule with no attachment points
Initialize | molecule -> flattened molecule

Definition at line 68 of file ScaffoldNetwork.h.

## Function Documentation

## ◆ createScaffoldNetwork()

template<typename T>

ScaffoldNetwork RDKit::ScaffoldNetwork::createScaffoldNetwork | ( | const T & | mols,
|  | const ScaffoldNetworkParams & | params )

create a new ScaffoldNetwork for a set of molecules

Definition at line 139 of file ScaffoldNetwork.h.

References createScaffoldNetwork(), and updateScaffoldNetwork().

Referenced by createScaffoldNetwork().

## ◆ getBRICSNetworkParams()

RDKIT_SCAFFOLDNETWORK_EXPORT ScaffoldNetworkParams RDKit::ScaffoldNetwork::getBRICSNetworkParams | ( |  | ) |

returns parameters for constructing scaffold networks using BRICS fragmentation

References getBRICSNetworkParams(), and RDKIT_SCAFFOLDNETWORK_EXPORT.

Referenced by getBRICSNetworkParams().

## ◆ operator<<() [1/2]

std::ostream & RDKit::ScaffoldNetwork::operator<< | ( | std::ostream & | ostr,
|  | const RDKit::ScaffoldNetwork::EdgeType & | e )
| inline

allows nodes to output nicely as strings

Definition at line 146 of file ScaffoldNetwork.h.

References Fragment, Generic, GenericBond, Initialize, and RemoveAttachment.

## ◆ operator<<() [2/2]

std::ostream & RDKit::ScaffoldNetwork::operator<< | ( | std::ostream & | ostr,
|  | const RDKit::ScaffoldNetwork::NetworkEdge & | e )
| inline

allows edges to output nicely as strings

Definition at line 171 of file ScaffoldNetwork.h.

References RDKit::ScaffoldNetwork::NetworkEdge::beginIdx, RDKit::ScaffoldNetwork::NetworkEdge::endIdx, and RDKit::ScaffoldNetwork::NetworkEdge::type.

## ◆ updateScaffoldNetwork()

template<typename T>

void RDKit::ScaffoldNetwork::updateScaffoldNetwork | ( | const T & | mols,
|  | ScaffoldNetwork & | network,
|  | const ScaffoldNetworkParams & | params )

update an existing ScaffoldNetwork using a set of molecules

References updateScaffoldNetwork().

Referenced by createScaffoldNetwork(), and updateScaffoldNetwork().